Bug 188770

Summary: [WHLSL] Call expressions shouldn't have type arguments
Product: WebKit Reporter: Myles C. Maxfield <mmaxfield>
Component: New BugsAssignee: Myles C. Maxfield <mmaxfield>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews-watchlist, fpizlo, tdenney, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 176199    
Attachments:
Description Flags
Patch
none
Needs tests
none
Patch
none
Patch
none
Archive of layout-test-results from ews206 for win-future none

Description Myles C. Maxfield 2018-08-20 17:22:35 PDT
[WHLSL] Call expressions shouldn't have type arguments
Comment 1 Myles C. Maxfield 2018-08-20 17:27:46 PDT
Created attachment 347580 [details]
Patch
Comment 2 Myles C. Maxfield 2018-08-20 17:28:21 PDT
Created attachment 347581 [details]
Needs tests
Comment 3 Myles C. Maxfield 2018-08-20 18:46:51 PDT
Created attachment 347593 [details]
Patch
Comment 4 Myles C. Maxfield 2018-08-20 18:49:13 PDT
Created attachment 347595 [details]
Patch
Comment 5 EWS Watchlist 2018-08-21 09:34:18 PDT
Comment on attachment 347595 [details]
Patch

Attachment 347595 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8930767

New failing tests:
http/tests/security/canvas-remote-read-remote-video-localhost.html
Comment 6 EWS Watchlist 2018-08-21 09:34:29 PDT
Created attachment 347649 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 WebKit Commit Bot 2018-08-21 16:28:43 PDT
Comment on attachment 347595 [details]
Patch

Clearing flags on attachment: 347595

Committed r235144: <https://trac.webkit.org/changeset/235144>
Comment 8 WebKit Commit Bot 2018-08-21 16:28:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-08-21 16:29:20 PDT
<rdar://problem/43582832>
Comment 10 Myles C. Maxfield 2018-10-13 15:27:24 PDT
Migrated to https://github.com/gpuweb/WHLSL/issues/93